<?php include('casa/setup.casa.php');
	$codigo = DataForms::POST('txtCodigo');	 	 
	$txtArchivo = $_FILES['txtFoto']['name'];
	$temp = $_FILES['txtFoto']['tmp_name'];

		$folder = 'fotos/';
		$Archivo = $codigo.'_'.substr(md5(uniqid()),1,5).'.jpg';

$sql = "UPDATE inventarios_productos SET 
	prod_foto = '$Archivo'
WHERE prod_codigo = '$codigo';";

if($txtArchivo != ''){
	move_uploaded_file($temp, $folder.$Archivo);
		$thumb  = new Thumb();
		$thumb->loadImage($folder.$Archivo); 					
		$thumb->resize(900,"width");  
      $thumb->save($folder.$Archivo, 100);
      $thumb->resize(320,"width");  
      $thumb->save($folder.'small_'.$Archivo, 100);
      //rename($folder.$Archivo, $folder.'small_'.$Archivo);
	$db = new DB();
	$db->dbSQL($sql);
}
echo '<script>self.location="'.PATH_HOME.'productos/'.'";</script>';
?>